入荷取得
GET
/storage/{storage_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/storage/3?fields=storageId%2CsupplierId&with_details=all';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/storage/3?fields=storageId%2CsupplierId&with_details=all'入荷情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storage_id
required
string
入荷ID
Example
3Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
storageId,supplierIdwith_details
string
入荷明細を付加するか(付加する場合はall, しない場合はnone)
Example
allResponses
Section titled “Responses”取得成功
Media typeapplication/json
object
storageId
入荷ID:自動採番
string
storageInfoId
発注ID:発注登録から作成された入荷の場合のみ、発注IDを設定。
string
supplierId
仕入先ID
string
storageStoreId
入荷店舗ID
string
storageExpectedDateFrom
入荷予定日From:[YYYY-MM-DD]
string
storageExpectedDateTo
入荷予定日To:[YYYY-MM-DD]
string
storageDate
入荷日
string
memo
メモ
string
staffId
スタッフID:入荷登録時のスタッフID
string
identificationNo
識別番号:入荷情報を管理するための任意の文字列を設定出来る項目。
string
roundingDivision
税丸め(0:四捨五入、1:切り捨て、2:切り上げ)
string
status
入荷ステータス:(0:未入荷、1:検品中、2:入荷完了)
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
details
入荷明細
Array<object>
object
storageDetailId
入荷明細ID
string
storageId
入荷ID
string
storageInfoId
発注ID:発注登録から作成された入荷の場合のみ、発注IDを設定。
string
productId
商品ID
string
cost
原価(外税):入荷商品の原価
string
scheduledQuantity
予定数
string
inspectionQuantity
検品数
string
stockoutQuantity
欠品数
string
stockoutReason
欠品理由
string
inspectionDate
検品日:[YYYY-MM-DD]
string
rfidTags
RFIDタグリスト。入荷検品分。
Array<string>
numberMemo
数字メモ
string
dateMemo
日付メモ:[YYYY-MM-DD]
string
status
ステータス:0:未検品、1:検品完了
string
compulsoryCompleteFlag
強制終了フラグ:0:通常、1:強制終了
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "storageId": "3", "storageInfoId": null, "supplierId": "2", "storageStoreId": "1", "storageExpectedDateFrom": "2025-01-01", "storageExpectedDateTo": "2025-01-02", "storageDate": "2025-01-01", "memo": "入荷メモ", "staffId": "1", "identificationNo": "123456789", "roundingDivision": "1", "status": "2", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00", "details": [ { "storageDetailId": "3", "storageId": "3", "storageInfoId": null, "productId": "8000001", "cost": "100.00000", "scheduledQuantity": "3", "inspectionQuantity": "2", "stockoutQuantity": "1", "stockoutReason": "欠品理由", "inspectionDate": "2025-01-01", "rfidTags": [ "RFID001", "RFID002" ], "numberMemo": "123456789", "dateMemo": "2025-01-01", "status": "1", "compulsoryCompleteFlag": "0", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:00:00+09:00" } ]}- リソースが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}